glm.summary {base} | R Documentation

## Summarizing Generalized Linear Model Fits

### Description

These functions are all `methods` for class `glm` or `summary.glm` objects.

### Usage

    summary(object, dispersion = NULL, correlation = FALSE, ...)

    print(x, digits = max(3, getOption("digits") - 3),
                  na.print = "", symbolic.cor = p > 4,
                  signif.stars = getOption("show.signif.stars"), ...)

### Arguments

`object` | an object of class `"glm"`, usually, a result of a call to `glm`.
`x` | an object of class `"summary.glm"`, usually, a result of a call to `summary.glm`.
`dispersion` | the dispersion parameter for the fitting family. By default it is obtained from `object`.
`correlation` | logical; if `TRUE`, the correlation matrix of the estimated parameters is returned and printed.
`digits` | the number of significant digits to use when printing.
`na.print` | Unused.
`symbolic.cor` | logical. If `TRUE`, print the correlations in a symbolic form (see `symnum` rather than as numbers.
`signif.stars` | logical. If `TRUE`, ``significance stars'' are printed for each coefficient.
`...` | further arguments passed to or from other methods.

### Details

`print.summary.glm` tries to be smart about formatting the coefficients, standard errors, etc. and additionally gives ``significance stars'' if `signif.stars` is `TRUE`.

### See Also

`glm`, `summary`.

### Examples

    ## --- Continuing the Example from  ``?glm'':

    summary(glm.D93)

[Package Contents]